#!/bin/sh
#set -xv
set -e
if [ -d /sys/kernel/config/usb_gadget ];then
	echo  already mount configfs
else
	mount -t configfs none /sys/kernel/config/
fi

mkdir /sys/kernel/config/usb_gadget/g1
cd /sys/kernel/config/usb_gadget/g1

echo "0x12d1" > idVendor
echo "0x107E" > idProduct
mkdir strings/0x409
echo "HISILICON" > strings/0x409/manufacturer
echo "Ethernet Gadget" > strings/0x409/product
echo "310" > strings/0x409/serialnumber

mkdir functions/rndis.usb0
mkdir configs/c.1
mkdir configs/c.1/strings/0x409
echo "CDC" > configs/c.1/strings/0x409/configuration
ln -s functions/rndis.usb0 configs/c.1/f1
echo "110600000.dwc3" > /sys/kernel/config/usb_gadget/g1/UDC


